Create Merchant
Creates a merchant with its shop and contract
Path
POST /merchants Request Parameters
Accept-version
required
string
undefined
Request Body
application/json
legalName
required
string
Max length: 80
This is the registered legal name of the company.
courtRegistrationCity
string
Max length: 255
The registered court city of the company. This field is specificly for Germany. This field is required for DE to ensure unique identification.
companyRegistrationNumber
required
string
Max length: 30
The registration number of the company.
vatNumber
string
Max length: 20
The VAT number of the company. This field should not include spaces.
required
object
street
required
string
Max length: 250
houseNumber
required
string
Max length: 7
House number needs to be provided separately from street.
houseNumberAddition
string
Max length: 7
postalCode
required
string
Max length: 10
city
required
string
Max length: 50
country
required
string
Enum:
- AT
- BE
- DK
- FI
- DE
- NL
- NO
- SE
- CH
- GB
- LU
required
object
firstName
required
string
Max length: 50
lastName
required
string
Max length: 75
phoneNumber
string
Max length: 20
email
required
string
Max length: 80
object
firstName
required
string
Max length: 50
lastName
required
string
Max length: 75
phoneNumber
string
Max length: 20
email
required
string
Max length: 80
object
firstName
required
string
Max length: 50
lastName
required
string
Max length: 75
phoneNumber
string
Max length: 20
email
required
string
Max length: 80
required
object
name
required
string
Max length: 80
The name of the webshop can be the URL (our suggestion) or the legal name with some differentiator (to identify different webshops under one merchant)
tradeName
string
Max length: 80
The trade name of the shop will be used as shop name in our consumer facing portals, if not set the regular shop name will be used.
url
required
string
Max length: 255
marketCountry
required
string
Enum:
- NL
- BE
- DE
- AT
- CH
- SE
- DK
- FI
- NO
industryCode
required
string
Max length: 10
The industry code should be the lowest level (webshop level) in case the merchants work in several industries and the first and second code differ.
industryCodeStandard
required
string
Enum:
- Sbi
- Mcc
- Sic
numberOfAnnualTransactions
integer
The annual transactions of this webshop.
averageOrderValue
integer
Average order value can be a default value, based on partner portfolio.
object
firstName
required
string
Max length: 50
lastName
required
string
Max length: 75
phoneNumber
string
Max length: 20
email
required
string
Max length: 80
object
firstName
required
string
Max length: 50
lastName
required
string
Max length: 75
phoneNumber
string
Max length: 20
email
required
string
Max length: 80
required
object
firstName
required
string
Max length: 50
lastName
required
string
Max length: 75
phoneNumber
string
Max length: 20
email
required
string
Max length: 80
customerservicePhoneNumber
string
This shop specific contact information will be shown to consumers on any consumer facing communication.
customerserviceEmailAddress
string
Max length: 80
This shop specific contact information will be shown to consumers on any consumer facing communication.
customerserviceUrl
string
required
object
partnerReference
required
string
Max length: 255
The Partner Reference is a unique idempotency identifier, which ensures that if the Create Merchant of Add Shop request is sent multiple times, the operation is only performed once.
agreementId
required
string
The Agreement ID is the unique reference for a partner’s set of pre-defined shop settings. Partners will receive a minimum of one Agreement ID per country. A partner may have multiple Agreement IDs (indicating different shop settings) for the same country.
iban
string
Max length: 34
IBAN is not needed for M-level agreements, as Riverty will pay out to the partner.
isMarketplace
boolean
In case the contract allows partners to send in marketplaces, we need to know of each webshop if it is a market place setup true or false.
Responses
-
merchantIdstringshopIdstring
-
Request Example
{
"shop": {
"url": "https://www.exampleshop-a.de",
"name": "Example Shop A",
"contract": {
"iban": null,
"agreementId": 31,
"partnerReference": "C1774334145"
},
"fraudContact": {
"email": "jeff.doe@examplemerchant-a.de",
"lastName": "Doe",
"firstName": "Jeff",
"phoneNumber": "+4930936681944"
},
"industryCode": "5691",
"isMarketplace": false,
"marketCountry": "DE",
"technicalContact": {
"email": "janet.doe@examplepartner.com",
"lastName": "Doe",
"firstName": "Janet",
"phoneNumber": "+4930936681944"
},
"averageOrderValue": 30,
"operationalContact": {
"email": "john.doe@examplepartner.com",
"lastName": "Doe",
"firstName": "John",
"phoneNumber": "+4930936681944"
},
"industryCodeStandard": "MCC",
"customerservicePhoneNumber": "+4930936681945",
"numberOfAnnualTransactions": 100000,
"customerserviceEmailAddress": "customer.service@examplemerchant-a.de"
},
"legalName": "Example Merchant A",
"vatNumber": "DE123456789",
"invoiceContact": {
"email": "jane.doe@examplepartner.com",
"lastName": "Doe",
"firstName": "Jane",
"phoneNumber": "+4930936681946"
},
"primaryContact": {
"email": "john.doe@examplepartner.com",
"lastName": "Doe",
"firstName": "John",
"phoneNumber": "+4930936681944"
},
"registeredAddress": {
"city": "Berlin",
"street": "Kurfürstendamm",
"country": "DE",
"postalCode": "10719",
"houseNumber": "1000",
"houseNumberAddition": null
},
"merchantPortalAdmin": {
"email": "jack.doe@examplemerchant-a.de",
"lastName": "Doe",
"firstName": "Jack",
"phoneNumber": "+4930936681945"
},
"courtRegistrationCity": "Berlin",
"companyRegistrationNumber": "HRA12345"
}
Response Example
{
"shopId": "RTY000002249",
"merchantId": "2023036387"
}